---
author: ~ben
published: true
title: channel modes
description: channel management
category:
    - main
---

# services

tilde.chat uses [anope](http://anope.org) irc services to provide accounts
and channel management features.

anope provides the following pseudo-users to manage the network:

- NickServ
- ChanServ
- BotServ
- HostServ
- MemoServ
- OperServ

you can likely guess what each one does by the name.

for more info about each part of services, you can ask it for help with the following
commands:

	/msg nickserv help

pass the name of the subcommand after `help` for further information.

## registering channels

you can register a channel with ChanServ:

	/msg chanserv register #mychannel

you can only register if you already have +o (chanops). this is automatically
granted when you are the first person to join a channel.

note that you need to be identified to NickServ for this to work. the channel
will be registered to your account and you will automatically be granted +q and +o.

## setting persistent modes in your own channels with chanserv

now that you've registered your channel, you can set up access for people as
you see fit.

the easiest way to manage access lists is with the following commands:

	/msg chanserv aop #mychannel add <someone>
	/msg chanserv hop #mychannel add <someone>
	/msg chanserv vop #mychannel add <someone>
	/msg chanserv qop #mychannel add <someone>

these are used to configure a list of modes that will be set and maintained
automatically by ChanServ.

in this case, `aop` stands for automatic op and corresponds to +o for that user
in your channel. `hop` corresponds to +h, `vop` to +v, `qop` to +q.

you can also `del`, `list`, or `clear` your modelists. see the help for more info:
`/msg chanserv help aop`

## auto-identifying with sasl and certfp

we support authenticating to services via sasl and certfp:

see the freenode [kb articles](https://freenode.net/kb/answer/sasl) for your
specific client. the basic idea is that you will want to set your sasl username
to your account name, and fill in your password as needed.

if you have a tls client cert, you can also use that to authenticate yourself.
once you are connected with tls (aka ssl) and logged in to services, you can
add your current cert with `/msg nickserv cert add`.

have a look at [weechat docs](
https://weechat.org/files/doc/stable/weechat_user.en.html#irc_connect_oftc_with_certfp)
for more information about using certfp.
